{
	"artifacts" : 
	[
		{
			"path" : "Debug/GeometryWidgets.dll"
		},
		{
			"path" : "Debug/GeometryWidgets.lib"
		},
		{
			"path" : "Debug/GeometryWidgets.pdb"
		}
	],
	"backtrace" : 1,
	"backtraceGraph" : 
	{
		"commands" : 
		[
			"add_library",
			"install",
			"target_link_libraries",
			"add_dependencies",
			"add_compile_options",
			"target_compile_definitions",
			"add_definitions",
			"include_directories"
		],
		"files" : 
		[
			"src/GeometryWidgets/CMakeLists.txt",
			"src/CMakeLists.txt",
			"src/PythonModule/CMakeLists.txt",
			"CMakeLists.txt"
		],
		"nodes" : 
		[
			{
				"file" : 0
			},
			{
				"command" : 0,
				"file" : 0,
				"line" : 29,
				"parent" : 0
			},
			{
				"file" : 1
			},
			{
				"command" : 1,
				"file" : 1,
				"line" : 58,
				"parent" : 2
			},
			{
				"command" : 2,
				"file" : 0,
				"line" : 50,
				"parent" : 0
			},
			{
				"file" : 2
			},
			{
				"command" : 2,
				"file" : 2,
				"line" : 44,
				"parent" : 5
			},
			{
				"command" : 3,
				"file" : 0,
				"line" : 58,
				"parent" : 0
			},
			{
				"file" : 3
			},
			{
				"command" : 4,
				"file" : 3,
				"line" : 85,
				"parent" : 8
			},
			{
				"command" : 4,
				"file" : 3,
				"line" : 86,
				"parent" : 8
			},
			{
				"command" : 5,
				"file" : 0,
				"line" : 39,
				"parent" : 0
			},
			{
				"command" : 6,
				"file" : 3,
				"line" : 118,
				"parent" : 8
			},
			{
				"command" : 6,
				"file" : 3,
				"line" : 83,
				"parent" : 8
			},
			{
				"command" : 7,
				"file" : 0,
				"line" : 4,
				"parent" : 0
			}
		]
	},
	"compileGroups" : 
	[
		{
			"compileCommandFragments" : 
			[
				{
					"fragment" : "-DQT_QML_DEBUG /Zi /Ob0 /Od /RTC1 -MDd"
				},
				{
					"backtrace" : 9,
					"fragment" : "/utf-8"
				},
				{
					"backtrace" : 10,
					"fragment" : "/MDd"
				}
			],
			"defines" : 
			[
				{
					"backtrace" : 11,
					"define" : "GEOMETRYWIDGETS_API"
				},
				{
					"define" : "GeometryWidgets_EXPORTS"
				},
				{
					"backtrace" : 12,
					"define" : "OUTPUT_DEBUG_INFO"
				},
				{
					"backtrace" : 4,
					"define" : "QT_CORE_LIB"
				},
				{
					"backtrace" : 4,
					"define" : "QT_GUI_LIB"
				},
				{
					"backtrace" : 4,
					"define" : "QT_WIDGETS_LIB"
				},
				{
					"backtrace" : 13,
					"define" : "UNICODE"
				},
				{
					"backtrace" : 13,
					"define" : "_UNICODE"
				}
			],
			"includes" : 
			[
				{
					"path" : "D:/WBFZCPP/source/FastCAE/out/build/src/GeometryWidgets"
				},
				{
					"path" : "D:/WBFZCPP/source/FastCAE/src/GeometryWidgets"
				},
				{
					"backtrace" : 0,
					"path" : "D:/WBFZCPP/source/FastCAE/out/build/src/GeometryWidgets/GeometryWidgets_autogen/include"
				},
				{
					"backtrace" : 14,
					"path" : "D:/WBFZCPP/source/FastCAE/src/GeometryWidgets/.."
				},
				{
					"backtrace" : 4,
					"isSystem" : true,
					"path" : "C:/OCCT/inc"
				},
				{
					"backtrace" : 4,
					"isSystem" : true,
					"path" : "C:/Qt/5.15.2/msvc2019_64/include"
				},
				{
					"backtrace" : 4,
					"isSystem" : true,
					"path" : "C:/Qt/5.15.2/msvc2019_64/include/QtCore"
				},
				{
					"backtrace" : 4,
					"isSystem" : true,
					"path" : "C:/Qt/5.15.2/msvc2019_64/./mkspecs/win32-msvc"
				},
				{
					"backtrace" : 4,
					"isSystem" : true,
					"path" : "C:/Qt/5.15.2/msvc2019_64/include/QtGui"
				},
				{
					"backtrace" : 4,
					"isSystem" : true,
					"path" : "C:/Qt/5.15.2/msvc2019_64/include/QtANGLE"
				},
				{
					"backtrace" : 4,
					"isSystem" : true,
					"path" : "C:/Qt/5.15.2/msvc2019_64/include/QtWidgets"
				},
				{
					"backtrace" : 4,
					"isSystem" : true,
					"path" : "C:/VTK/include/vtk-9.3"
				},
				{
					"backtrace" : 4,
					"isSystem" : true,
					"path" : "D:/WBFZCPP/source/FastCAE/extlib/Python/include"
				}
			],
			"language" : "CXX",
			"languageStandard" : 
			{
				"backtraces" : 
				[
					4
				],
				"standard" : "11"
			},
			"sourceIndexes" : 
			[
				0,
				1,
				2,
				66,
				67,
				68,
				69,
				70,
				71,
				72,
				73,
				74,
				75,
				76,
				77,
				78,
				79,
				80,
				81,
				82,
				83,
				84,
				85,
				86,
				87,
				88,
				89,
				90,
				91,
				92,
				93,
				94,
				95,
				96,
				97
			]
		}
	],
	"dependencies" : 
	[
		{
			"backtrace" : 4,
			"id" : "Common::@29aabc9fbfb9b5406d55"
		},
		{
			"backtrace" : 7,
			"id" : "PythonModule::@c600c49a22fbbbfcb8ff"
		},
		{
			"backtrace" : 7,
			"id" : "Settings::@733e6871ef4a824e534d"
		},
		{
			"backtrace" : 7,
			"id" : "DataProperty::@ec84555ffa827036bc26"
		},
		{
			"backtrace" : 7,
			"id" : "SelfDefObject::@17d93127ede5f3b478ed"
		},
		{
			"backtrace" : 7,
			"id" : "Geometry::@b7b2e4191bc961e9afba"
		},
		{
			"backtrace" : 7,
			"id" : "ModuleBase::@53e1b14bc3636b2ea9de"
		},
		{
			"backtrace" : 7,
			"id" : "GeometryCommand::@d82e5b79e04a3b196df4"
		},
		{
			"id" : "GeometryWidgets_autogen_timestamp_deps::@1fb7ae1802a587d65603"
		},
		{
			"backtrace" : 0,
			"id" : "GeometryWidgets_autogen::@1fb7ae1802a587d65603"
		}
	],
	"folder" : 
	{
		"name" : "Modules"
	},
	"id" : "GeometryWidgets::@1fb7ae1802a587d65603",
	"install" : 
	{
		"destinations" : 
		[
			{
				"backtrace" : 3,
				"path" : "bin"
			}
		],
		"prefix" : 
		{
			"path" : "D:/WBFZCPP/source/FastCAE/install"
		}
	},
	"link" : 
	{
		"commandFragments" : 
		[
			{
				"fragment" : "/machine:x64 /debug /INCREMENTAL",
				"role" : "flags"
			},
			{
				"backtrace" : 4,
				"fragment" : "Debug\\GeometryCommand.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "Debug\\ModuleBase.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "Debug\\Geometry.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\OCCT\\win64\\vc14\\libd\\TKBO.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\OCCT\\win64\\vc14\\libd\\TKBRep.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\OCCT\\win64\\vc14\\libd\\TKG2d.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\OCCT\\win64\\vc14\\libd\\TKG3d.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\OCCT\\win64\\vc14\\libd\\TKGeomAlgo.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\OCCT\\win64\\vc14\\libd\\TKGeomBase.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\OCCT\\win64\\vc14\\libd\\TKMath.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\OCCT\\win64\\vc14\\libd\\TKPrim.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\OCCT\\win64\\vc14\\libd\\TKShHealing.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\OCCT\\win64\\vc14\\libd\\TKTopAlgo.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\OCCT\\win64\\vc14\\libd\\TKernel.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\VTK\\lib\\vtkCommonColor-9.3d.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\VTK\\lib\\vtkFiltersGeometry-9.3d.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\VTK\\lib\\vtkFiltersSources-9.3d.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\VTK\\lib\\vtkImagingMath-9.3d.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\VTK\\lib\\vtkInteractionStyle-9.3d.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\VTK\\lib\\vtkRenderingCore-9.3d.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\VTK\\lib\\vtkRenderingFreeType-9.3d.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\VTK\\lib\\vtkRenderingOpenGL2-9.3d.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\VTK\\lib\\vtkRenderingUI-9.3d.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\VTK\\lib\\vtkRenderingVolume-9.3d.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\VTK\\lib\\vtkRenderingVolumeOpenGL2-9.3d.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\VTK\\lib\\vtkfreetype-9.3d.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\VTK\\lib\\vtkglew-9.3d.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\VTK\\lib\\vtkCommonComputationalGeometry-9.3d.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\VTK\\lib\\vtkCommonCore-9.3d.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\VTK\\lib\\vtkCommonDataModel-9.3d.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\VTK\\lib\\vtkCommonExecutionModel-9.3d.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\VTK\\lib\\vtkCommonMath-9.3d.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\VTK\\lib\\vtkCommonMisc-9.3d.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\VTK\\lib\\vtkCommonSystem-9.3d.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\VTK\\lib\\vtkCommonTransforms-9.3d.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\VTK\\lib\\vtkFiltersCore-9.3d.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\VTK\\lib\\vtkFiltersExtraction-9.3d.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\VTK\\lib\\vtkFiltersGeneral-9.3d.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\VTK\\lib\\vtkFiltersStatistics-9.3d.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\VTK\\lib\\vtkIOCore-9.3d.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\VTK\\lib\\vtkIOLegacy-9.3d.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\VTK\\lib\\vtkIOXML-9.3d.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\VTK\\lib\\vtkIOXMLParser-9.3d.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\VTK\\lib\\vtkImagingCore-9.3d.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\VTK\\lib\\vtkImagingFourier-9.3d.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\VTK\\lib\\vtkParallelCore-9.3d.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\VTK\\lib\\vtkParallelDIY-9.3d.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\VTK\\lib\\vtkdoubleconversion-9.3d.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\VTK\\lib\\vtkexpat-9.3d.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\VTK\\lib\\vtklz4-9.3d.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\VTK\\lib\\vtklzma-9.3d.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\VTK\\lib\\vtksys-9.3d.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\VTK\\lib\\vtkzlib-9.3d.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "Debug\\SelfDefObject.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "Debug\\Settings.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "Debug\\DataProperty.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "Debug\\PythonModule.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\Qt\\5.15.2\\msvc2019_64\\lib\\Qt5Widgetsd.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\Qt\\5.15.2\\msvc2019_64\\lib\\Qt5Guid.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 6,
				"fragment" : "D:\\WBFZCPP\\source\\FastCAE\\extlib\\Python\\libs\\python37.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 6,
				"fragment" : "Debug\\Common.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "C:\\Qt\\5.15.2\\msvc2019_64\\lib\\Qt5Cored.lib",
				"role" : "libraries"
			},
			{
				"fragment" : "kernel32.lib user32.lib gdi32.lib winspool.lib shell32.lib ole32.lib oleaut32.lib uuid.lib comdlg32.lib advapi32.lib",
				"role" : "libraries"
			}
		],
		"language" : "CXX"
	},
	"name" : "GeometryWidgets",
	"nameOnDisk" : "GeometryWidgets.dll",
	"paths" : 
	{
		"build" : "src/GeometryWidgets",
		"source" : "src/GeometryWidgets"
	},
	"sourceGroups" : 
	[
		{
			"name" : "Source Files",
			"sourceIndexes" : 
			[
				0,
				1,
				2,
				66,
				67,
				68,
				69,
				70,
				71,
				72,
				73,
				74,
				75,
				76,
				77,
				78,
				79,
				80,
				81,
				82,
				83,
				84,
				85,
				86,
				87,
				88,
				89,
				90,
				91,
				92,
				93,
				94,
				95,
				96,
				97
			]
		},
		{
			"name" : "Header Files",
			"sourceIndexes" : 
			[
				3,
				4,
				5,
				6,
				7,
				8,
				9,
				10,
				11,
				12,
				13,
				14,
				15,
				16,
				17,
				18,
				19,
				20,
				21,
				22,
				23,
				24,
				25,
				26,
				27,
				28,
				29,
				30,
				31,
				32,
				33,
				34,
				35,
				36,
				37,
				38,
				39,
				40,
				41,
				42,
				43,
				44,
				45,
				46,
				47,
				48,
				49,
				50,
				51,
				52,
				53,
				54,
				55,
				56,
				57,
				58,
				59,
				60,
				61,
				62,
				63,
				64,
				65
			]
		},
		{
			"name" : "",
			"sourceIndexes" : 
			[
				98,
				99,
				100,
				101,
				102,
				103,
				104,
				105,
				106,
				107,
				108,
				109,
				110,
				111,
				112,
				113,
				114,
				115,
				116,
				117,
				118,
				119,
				120,
				121,
				122,
				123,
				124,
				125,
				126,
				127,
				128,
				129,
				130
			]
		},
		{
			"name" : "CMake Rules",
			"sourceIndexes" : 
			[
				131
			]
		}
	],
	"sources" : 
	[
		{
			"backtrace" : 0,
			"compileGroupIndex" : 0,
			"isGenerated" : true,
			"path" : "out/build/src/GeometryWidgets/GeometryWidgets_autogen/mocs_compilation.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"isGenerated" : true,
			"path" : "out/build/src/GeometryWidgets/qrc_qianfan.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"isGenerated" : true,
			"path" : "out/build/src/GeometryWidgets/qrc_translations.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"isGenerated" : true,
			"path" : "out/build/src/GeometryWidgets/ui_SketchPointWidget.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"isGenerated" : true,
			"path" : "out/build/src/GeometryWidgets/ui_dialogBoolOperation.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"isGenerated" : true,
			"path" : "out/build/src/GeometryWidgets/ui_dialogCreateBox.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"isGenerated" : true,
			"path" : "out/build/src/GeometryWidgets/ui_dialogCreateBoxComplex.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"isGenerated" : true,
			"path" : "out/build/src/GeometryWidgets/ui_dialogCreateCone.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"isGenerated" : true,
			"path" : "out/build/src/GeometryWidgets/ui_dialogCreateCylinder.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"isGenerated" : true,
			"path" : "out/build/src/GeometryWidgets/ui_dialogCreateCylindricalComplex.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"isGenerated" : true,
			"path" : "out/build/src/GeometryWidgets/ui_dialogCreateDatumplane.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"isGenerated" : true,
			"path" : "out/build/src/GeometryWidgets/ui_dialogCreateFace.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"isGenerated" : true,
			"path" : "out/build/src/GeometryWidgets/ui_dialogCreateLine.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"isGenerated" : true,
			"path" : "out/build/src/GeometryWidgets/ui_dialogCreatePoint.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"isGenerated" : true,
			"path" : "out/build/src/GeometryWidgets/ui_dialogCreateSphere.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"isGenerated" : true,
			"path" : "out/build/src/GeometryWidgets/ui_dialogGeoSplitter.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"isGenerated" : true,
			"path" : "out/build/src/GeometryWidgets/ui_dialogMakeChamfer.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"isGenerated" : true,
			"path" : "out/build/src/GeometryWidgets/ui_dialogMakeExtrusion.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"isGenerated" : true,
			"path" : "out/build/src/GeometryWidgets/ui_dialogMakeFillGap.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"isGenerated" : true,
			"path" : "out/build/src/GeometryWidgets/ui_dialogMakeFillHole.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"isGenerated" : true,
			"path" : "out/build/src/GeometryWidgets/ui_dialogMakeFillet.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"isGenerated" : true,
			"path" : "out/build/src/GeometryWidgets/ui_dialogMakeLoft.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"isGenerated" : true,
			"path" : "out/build/src/GeometryWidgets/ui_dialogMakeMatrix.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"isGenerated" : true,
			"path" : "out/build/src/GeometryWidgets/ui_dialogMakeRemoveSurface.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"isGenerated" : true,
			"path" : "out/build/src/GeometryWidgets/ui_dialogMakeRevol.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"isGenerated" : true,
			"path" : "out/build/src/GeometryWidgets/ui_dialogMakeSweep.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"isGenerated" : true,
			"path" : "out/build/src/GeometryWidgets/ui_dialogMeasureDistance.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"isGenerated" : true,
			"path" : "out/build/src/GeometryWidgets/ui_dialogMirrorFeature.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"isGenerated" : true,
			"path" : "out/build/src/GeometryWidgets/ui_dialogMoveFeature.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"isGenerated" : true,
			"path" : "out/build/src/GeometryWidgets/ui_dialogRotateFeature.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"isGenerated" : true,
			"path" : "out/build/src/GeometryWidgets/ui_dialogSketchPlane.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"isGenerated" : true,
			"path" : "out/build/src/GeometryWidgets/ui_dialogVariableFillet.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"isGenerated" : true,
			"path" : "out/build/src/GeometryWidgets/ui_geoPointWidget.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/GeometryWidgets/SketchPointWidget.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/GeometryWidgets/dialogBoolOperation.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/GeometryWidgets/dialogCreateBox.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/GeometryWidgets/dialogCreateBoxComplex.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/GeometryWidgets/dialogCreateCone.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/GeometryWidgets/dialogCreateCylinder.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/GeometryWidgets/dialogCreateCylindricalComplex.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/GeometryWidgets/dialogCreateDatumplane.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/GeometryWidgets/dialogCreateFace.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/GeometryWidgets/dialogCreateLine.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/GeometryWidgets/dialogCreatePoint.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/GeometryWidgets/dialogCreateSphere.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/GeometryWidgets/dialogGeoSplitter.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/GeometryWidgets/dialogMakeChamfer.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/GeometryWidgets/dialogMakeExtrusion.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/GeometryWidgets/dialogMakeFillGap.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/GeometryWidgets/dialogMakeFillHole.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/GeometryWidgets/dialogMakeFillet.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/GeometryWidgets/dialogMakeLoft.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/GeometryWidgets/dialogMakeMatrix.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/GeometryWidgets/dialogMakeRemoveSurface.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/GeometryWidgets/dialogMakeRevol.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/GeometryWidgets/dialogMakeSweep.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/GeometryWidgets/dialogMeasureDistance.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/GeometryWidgets/dialogMirrorFeature.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/GeometryWidgets/dialogMoveFeature.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/GeometryWidgets/dialogRotateFeature.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/GeometryWidgets/dialogSketchPlane.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/GeometryWidgets/dialogVariableFillet.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/GeometryWidgets/geoDialogBase.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/GeometryWidgets/geoPointWidget.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/GeometryWidgets/geometryDialogFactory.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "src/GeometryWidgets/geometryWidgetsAPI.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/GeometryWidgets/SketchPointWidget.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/GeometryWidgets/dialogBoolOperation.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/GeometryWidgets/dialogCreateBox.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/GeometryWidgets/dialogCreateBoxComplex.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/GeometryWidgets/dialogCreateCone.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/GeometryWidgets/dialogCreateCylinder.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/GeometryWidgets/dialogCreateCylindricalComplex.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/GeometryWidgets/dialogCreateDatumplane.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/GeometryWidgets/dialogCreateFace.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/GeometryWidgets/dialogCreateLine.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/GeometryWidgets/dialogCreatePoint.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/GeometryWidgets/dialogCreateSphere.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/GeometryWidgets/dialogGeoSplitter.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/GeometryWidgets/dialogMakeChamfer.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/GeometryWidgets/dialogMakeExtrusion.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/GeometryWidgets/dialogMakeFillGap.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/GeometryWidgets/dialogMakeFillHole.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/GeometryWidgets/dialogMakeFillet.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/GeometryWidgets/dialogMakeLoft.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/GeometryWidgets/dialogMakeMatrix.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/GeometryWidgets/dialogMakeRemoveSurface.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/GeometryWidgets/dialogMakeRevol.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/GeometryWidgets/dialogMakeSweep.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/GeometryWidgets/dialogMeasureDistance.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/GeometryWidgets/dialogMirrorFeature.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/GeometryWidgets/dialogMoveFeature.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/GeometryWidgets/dialogRotateFeature.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/GeometryWidgets/dialogSketchPlane.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/GeometryWidgets/dialogVariableFillet.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/GeometryWidgets/geoDialogBase.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/GeometryWidgets/geoPointWidget.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/GeometryWidgets/geometryDialogFactory.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 0,
			"isGenerated" : true,
			"path" : "out/build/src/GeometryWidgets/GeometryWidgets_autogen/timestamp",
			"sourceGroupIndex" : 2
		},
		{
			"backtrace" : 0,
			"path" : "src/qrc/qianfan.qrc",
			"sourceGroupIndex" : 2
		},
		{
			"backtrace" : 0,
			"path" : "src/qrc/translations.qrc",
			"sourceGroupIndex" : 2
		},
		{
			"backtrace" : 0,
			"path" : "src/GeometryWidgets/SketchPointWidget.ui",
			"sourceGroupIndex" : 2
		},
		{
			"backtrace" : 0,
			"path" : "src/GeometryWidgets/dialogBoolOperation.ui",
			"sourceGroupIndex" : 2
		},
		{
			"backtrace" : 0,
			"path" : "src/GeometryWidgets/dialogCreateBox.ui",
			"sourceGroupIndex" : 2
		},
		{
			"backtrace" : 0,
			"path" : "src/GeometryWidgets/dialogCreateBoxComplex.ui",
			"sourceGroupIndex" : 2
		},
		{
			"backtrace" : 0,
			"path" : "src/GeometryWidgets/dialogCreateCone.ui",
			"sourceGroupIndex" : 2
		},
		{
			"backtrace" : 0,
			"path" : "src/GeometryWidgets/dialogCreateCylinder.ui",
			"sourceGroupIndex" : 2
		},
		{
			"backtrace" : 0,
			"path" : "src/GeometryWidgets/dialogCreateCylindricalComplex.ui",
			"sourceGroupIndex" : 2
		},
		{
			"backtrace" : 0,
			"path" : "src/GeometryWidgets/dialogCreateDatumplane.ui",
			"sourceGroupIndex" : 2
		},
		{
			"backtrace" : 0,
			"path" : "src/GeometryWidgets/dialogCreateFace.ui",
			"sourceGroupIndex" : 2
		},
		{
			"backtrace" : 0,
			"path" : "src/GeometryWidgets/dialogCreateLine.ui",
			"sourceGroupIndex" : 2
		},
		{
			"backtrace" : 0,
			"path" : "src/GeometryWidgets/dialogCreatePoint.ui",
			"sourceGroupIndex" : 2
		},
		{
			"backtrace" : 0,
			"path" : "src/GeometryWidgets/dialogCreateSphere.ui",
			"sourceGroupIndex" : 2
		},
		{
			"backtrace" : 0,
			"path" : "src/GeometryWidgets/dialogGeoSplitter.ui",
			"sourceGroupIndex" : 2
		},
		{
			"backtrace" : 0,
			"path" : "src/GeometryWidgets/dialogMakeChamfer.ui",
			"sourceGroupIndex" : 2
		},
		{
			"backtrace" : 0,
			"path" : "src/GeometryWidgets/dialogMakeExtrusion.ui",
			"sourceGroupIndex" : 2
		},
		{
			"backtrace" : 0,
			"path" : "src/GeometryWidgets/dialogMakeFillGap.ui",
			"sourceGroupIndex" : 2
		},
		{
			"backtrace" : 0,
			"path" : "src/GeometryWidgets/dialogMakeFillHole.ui",
			"sourceGroupIndex" : 2
		},
		{
			"backtrace" : 0,
			"path" : "src/GeometryWidgets/dialogMakeFillet.ui",
			"sourceGroupIndex" : 2
		},
		{
			"backtrace" : 0,
			"path" : "src/GeometryWidgets/dialogMakeLoft.ui",
			"sourceGroupIndex" : 2
		},
		{
			"backtrace" : 0,
			"path" : "src/GeometryWidgets/dialogMakeMatrix.ui",
			"sourceGroupIndex" : 2
		},
		{
			"backtrace" : 0,
			"path" : "src/GeometryWidgets/dialogMakeRemoveSurface.ui",
			"sourceGroupIndex" : 2
		},
		{
			"backtrace" : 0,
			"path" : "src/GeometryWidgets/dialogMakeRevol.ui",
			"sourceGroupIndex" : 2
		},
		{
			"backtrace" : 0,
			"path" : "src/GeometryWidgets/dialogMakeSweep.ui",
			"sourceGroupIndex" : 2
		},
		{
			"backtrace" : 0,
			"path" : "src/GeometryWidgets/dialogMeasureDistance.ui",
			"sourceGroupIndex" : 2
		},
		{
			"backtrace" : 0,
			"path" : "src/GeometryWidgets/dialogMirrorFeature.ui",
			"sourceGroupIndex" : 2
		},
		{
			"backtrace" : 0,
			"path" : "src/GeometryWidgets/dialogMoveFeature.ui",
			"sourceGroupIndex" : 2
		},
		{
			"backtrace" : 0,
			"path" : "src/GeometryWidgets/dialogRotateFeature.ui",
			"sourceGroupIndex" : 2
		},
		{
			"backtrace" : 0,
			"path" : "src/GeometryWidgets/dialogSketchPlane.ui",
			"sourceGroupIndex" : 2
		},
		{
			"backtrace" : 0,
			"path" : "src/GeometryWidgets/dialogVariableFillet.ui",
			"sourceGroupIndex" : 2
		},
		{
			"backtrace" : 0,
			"path" : "src/GeometryWidgets/geoPointWidget.ui",
			"sourceGroupIndex" : 2
		},
		{
			"backtrace" : 0,
			"isGenerated" : true,
			"path" : "out/build/src/GeometryWidgets/GeometryWidgets_autogen/timestamp.rule",
			"sourceGroupIndex" : 3
		}
	],
	"type" : "SHARED_LIBRARY"
}
